Get R Esource Action For Custom Resource

Get R Esource Action For Custom Resource
Get resource action for resource type.

Get resource action for resource type.

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/custom/resource-types/{resourceTypeId}/resource-actions/{resourceActionId}
COPY
Path Parameters
string
resourceTypeId
Required

resourceTypeId

string
resourceActionId
Required

resourceActionId


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with resource action for specified resource type

Returns ResourceAction of type(s) */*
{
    "id": "string",
    "name": "string",
    "displayName": "string",
    "description": "string",
    "providerName": "string",
    "resourceType": "string",
    "status": "string",
    "projectId": "string",
    "orgId": "string",
    "runnableItem": {
        "id": "string",
        "name": "string",
        "description": "string",
        "projectId": "string",
        "type": "string",
        "inputParameters": [
            {
                "type": "string",
                "name": "string",
                "description": "string"
            }
        ],
        "outputParameters": [
            {
                "type": "string",
                "name": "string",
                "description": "string"
            }
        ],
        "endpointLink": "string",
        "inputBindings": [
            {
                "inputKey": "string",
                "value": "string",
                "type": {
                    "dataType": "string",
                    "referenceType": "string",
                    "fields": [
                        {
                            "label": "string",
                            "description": "string",
                            "signpost": "string",
                            "type": "FormSchemaFieldType Object",
                            "step": "number",
                            "default": {},
                            "valueList": {},
                            "placeholder": "string",
                            "constraints": {
                                "matchConstraint": {
                                    "match": {}
                                },
                                "constraints": {
                                    "constraints": {}
                                }
                            },
                            "refresh": {
                                "type": "string"
                            },
                            "shortValueName": [
                                "string"
                            ],
                            "id": "string",
                            "valueTree": {}
                        }
                    ],
                    "isMultiple": false
                },
                "bindingAction": {
                    "actionName": "string",
                    "actionInputs": [
                        "Binding Object"
                    ]
                }
            }
        ]
    },
    "formDefinition": {
        "tenant": "string",
        "id": "string",
        "name": "string",
        "form": "string",
        "styles": "string",
        "sourceType": "string",
        "sourceId": "string",
        "type": "string",
        "status": "string",
        "createdDate": "string",
        "modifiedDate": "string",
        "formFormat": "string",
        "providerRef": "string",
        "externalSourceFormSchemas": [
            {
                "externalSourceId": "string",
                "parentId": "string",
                "elementId": "string",
                "elementType": "string",
                "facet": "string",
                "parameters": [
                    {
                        "validatable": false,
                        "name": "string",
                        "isValidatable": false
                    }
                ]
            }
        ]
    },
    "criteria": {
        "matchExpression": [
            {}
        ]
    }
}

400

'Bad Request' if RunnableItem is not in specified format

Operation doesn't return any data structure

403

'Forbidden' no forms viewer access rights

Operation doesn't return any data structure

404

'Not Found' if there is no action with specified ID

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/form-service/api/custom/resource-types/{resourceTypeId}/resource-actions/{resourceActionId}